package mocks

import (
	"github.com/fiskerinc/cloud-services/pkg/common"
	"github.com/fiskerinc/cloud-services/pkg/db/queries"
	"github.com/go-pg/pg/v10/orm"
)

type MockSwVersionRxSwin struct {
	queries.QueryBase
	SelectResponse []common.SwVersionRxSwin
	DBMockHelper
}

func (m *MockSwVersionRxSwin) SelectByVersion(version string, options *queries.PageQueryOptions) ([]common.SwVersionRxSwin, error) {
	return m.SelectResponse, nil
}

func (m *MockSwVersionRxSwin) SelectCountByVersion(version string) (int, error) {
	return len(m.SelectResponse), nil
}

func (m *MockSwVersionRxSwin) Insert(swVersionRxSwin *common.SwVersionRxSwin) (orm.Result, error) {
	return m.ORMResponse, nil
}

func (m *MockSwVersionRxSwin) Delete(model *common.SwVersionRxSwin) (orm.Result, error) {
	return m.ORMResponse, nil
}
